# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from .show_dialog import show_diag
from ..results_analysis.plot_kpis import PlotKPIs


def plt_kpis(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return

    dlg2 = PlotKPIs(proj)
    show_diag(dlg2, True)
